> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses customers balance transactions 1



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/customers/{customerId}/balance-transactions/{id}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/customers/{customerId}/balance-transactions/{id}:
    get:
      tags:
        - BalanceTransactions
      operationId: GetCustomerBalanceTransactionAsync
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: businessId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CustomerBalanceSBCustomerBalanceTransactionResponse
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    CustomerBalanceSBCustomerBalanceTransactionResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        amount:
          $ref: '#/components/schemas/DTOMoney'
        endingBalance:
          $ref: '#/components/schemas/DTOMoney'
        description:
          type: string
          nullable: true
        date:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    DTOMoney:
      type: object
      properties:
        amount:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        conversion:
          $ref: '#/components/schemas/DTOMoneyConversion'
      additionalProperties: false
    DTOMoneyConversion:
      type: object
      properties:
        originalAmount:
          type: number
          format: double
        originalCurrency:
          type: string
          nullable: true
        exchangeRate:
          type: number
          format: double
        convertedAt:
          type: string
          format: date-time
      additionalProperties: false

````